/**
 * Interface for efficient distance calculation.
 */
public interface EfficientDistance {

	/**
	 * Efficient distance calculation
	 * @param break1 Disconnect extremities
	 * @param join1 Join extremities
	 * @param break2 Disconnect extremities
	 * @param join2 Join extremities
	 * @return distance
	 */
	public int distance(int[] break1, int[] join1, int[] break2, int[] join2);
}
